Package com.studica.frc

## Class Lidar

- java.lang.Object
- - com.studica.frc.Lidar

    public class Lidar
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Lidar.Port`
`static class` `Lidar.ScanData`

### Constructor Summary

Constructors
`Lidar​(Lidar.Port port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Lidar.ScanData` `getData()`
`void` `Start()`
`void` `Stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Lidar

    public Lidar​(Lidar.Port port)

### Method Detail

#### Start

    public void Start()

#### Stop

    public void Stop()

#### getData

    public Lidar.ScanData getData()